<?php
/***************************************************************
*  Copyright notice
*
*  (c) 2008 Dmitry Dulepov <dmitry@typo3.org>
*  All rights reserved
*
*  This script is part of the TYPO3 project. The TYPO3 project is
*  free software; you can redistribute it and/or modify
*  it under the terms of the GNU General Public License as published by
*  the Free Software Foundation; either version 2 of the License, or
*  (at your option) any later version.
*
*  The GNU General Public License can be found at
*  http://www.gnu.org/copyleft/gpl.html.
*
*  This script is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*  GNU General Public License for more details.
*
*  This copyright notice MUST APPEAR in all copies of the script!
***************************************************************/
/**
 * $Id: class.tx_yafi_feed_info.php 15585 2009-01-11 16:42:33Z dmitry $
 *
 * [CLASS/FUNCTION INDEX of SCRIPT]
 *
 * Hint: use extdeveval to insert/update function index above.
 *
 */
class tx_yafi_feed_info {

	/** Feed record */
	protected $feed;

	/**
	 * Creates an instance of this class. Note that this is considered to be an implementation detail
	 * and may change at any moment (including parameters list). Overriding classes should expect the use
	 * of {@link t3lib_div::makeInstanceClassName} for this class and a call to constructor with
	 * the same set of parameters as in this class.
	 *
	 * @param	SimplePie_Item		$item
	 * @return	void
	 */
	function __construct(array $feed) {
		$this->feed = $feed;
	}

	/**
	 * Retrieves feed URL
	 *
	 * @return	string	Feed URL
	 */
	function getFeedURL() {
		return $this->feed['url'];
	}

	function getFeedId() {
		return $this->feed['uid'];
	}
}

if (defined('TYPO3_MODE') && $TYPO3_CONF_VARS[TYPO3_MODE]['XCLASS']['ext/yafi/class.tx_yafi_feed_info.php'])	{
	include_once($TYPO3_CONF_VARS[TYPO3_MODE]['XCLASS']['ext/yafi/class.tx_yafi_feed_info.php']);
}

?>
