<?php
/***************************************************************
*  Copyright notice
*
*  (c) 2008 Dmitry Dulepov <dmitry@typo3.org>
*  All rights reserved
*
*  This script is part of the TYPO3 project. The TYPO3 project is
*  free software; you can redistribute it and/or modify
*  it under the terms of the GNU General Public License as published by
*  the Free Software Foundation; either version 2 of the License, or
*  (at your option) any later version.
*
*  The GNU General Public License can be found at
*  http://www.gnu.org/copyleft/gpl.html.
*
*  This script is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*  GNU General Public License for more details.
*
*  This copyright notice MUST APPEAR in all copies of the script!
***************************************************************/
/**
 * $Id: class.tx_yafi_pi1.php 8933 2008-04-18 11:19:01Z dmitry $
 *
 * [CLASS/FUNCTION INDEX of SCRIPT]
 *
 * Hint: use extdeveval to insert/update function index above.
 */

require_once(PATH_tslib.'class.tslib_pibase.php');
require_once(t3lib_extMgm::extPath('yafi', 'class.tx_yafi_api.php'));

/**
 * Plugin 'ATOM/RSS FrontEnd Importer' for the 'yafi' extension.
 *
 * @author	Dmitry Dulepov <dmitry@typo3.org>
 * @package	TYPO3
 * @subpackage	tx_yafi
 */
class tx_yafi_pi1 extends tslib_pibase {
	var $prefixId      = 'tx_yafi_pi1';		// Same as class name
	var $scriptRelPath = 'pi1/class.tx_yafi_pi1.php';	// Path to this script relative to the extension dir.
	var $extKey        = 'yafi';	// The extension key.

	/**
	 * The main method of the PlugIn
	 *
	 * @param	string		$content: The PlugIn content
	 * @param	array		$conf: The PlugIn configuration
	 * @return	The		content that is displayed on the website
	 */
	function main($content, $conf) {
		$this->conf = $conf;
		$this->pi_setPiVarDefaults();
		$this->pi_loadLL();
		$this->pi_USER_INT_obj = 1;	// Configuring so caching is not expected. This value means that no cHash params are ever set. We do this, because it's a USER_INT object!

		if (!isset($conf['storagePid'])) {
			$content = sprintf($this->pi_getLL('no_ts_template'), $this->extKey);
		}
		else {
			$content = $this->importFeeds();
		}

		return $this->pi_wrapInBaseClass($content);
	}

	/**
	 * Imports feeds
	 *
	 * @return	string	Success/error HTML comment
	 */
	protected function importFeeds() {
		$apiObj = t3lib_div::makeInstance('tx_yafi_api');
		/* @var $apiObj tx_yafi_api */
		return $apiObj->importFeeds($this->conf) ? '<!--yafi:success-->' : '<!--yafi:failure-->';
	}
}



if (defined('TYPO3_MODE') && $TYPO3_CONF_VARS[TYPO3_MODE]['XCLASS']['ext/yafi/pi1/class.tx_yafi_pi1.php'])	{
	include_once($TYPO3_CONF_VARS[TYPO3_MODE]['XCLASS']['ext/yafi/pi1/class.tx_yafi_pi1.php']);
}

?>